org.springframework.cloud.dataflow.server.controller

## Class TasksInfoController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.TasksInfoController

-     @RestController
       @RequestMapping(value="/tasks/info")
      public class TasksInfoController
      extends Object

  Controller for operations on `TaskExecution`. This includes obtaining task execution information from the task explorer.
  Author:
    Glenn Renfro, Michael Minella, Ilayaperumal Gopinathan, Christian Tzolov, David Turanski, Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TasksInfoController(TaskExecutionService taskExecutionService)` Creates a `TaskExecutionController` that retrieves Task Executions information

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskExecutionsInfoResource` | `getInfo(String completed, String taskName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TasksInfoController

          public TasksInfoController(TaskExecutionService taskExecutionService)

      Creates a `TaskExecutionController` that retrieves Task Executions information
      Parameters:
        `taskExecutionService` - used to launch tasks

  - ### Method Detail

    - #### getInfo

          @RequestMapping(value="executions",
                          method=GET)
           @ResponseStatus(value=OK)
          public TaskExecutionsInfoResource getInfo(@RequestParam(required=false,defaultValue="false",name="completed")
                                                                                                                                               String completed,
                                                                                                                                               @RequestParam(required=false,defaultValue="",name="name")
                                                                                                                                               String taskName)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.